# ssh2_sftp_readlink

(PECL ssh2 >= 0.9.0)

ssh2_sftp_readlink — Return the target of a symbolic link

### Description

ssh2_sftp_readlink ( resource `$sftp` , string `$link` ) : string

Returns the target of a symbolic link.

### Parameters

`sftp`

  An SSH2 SFTP resource opened by ssh2_sftp().

`link`

  Path of the symbolic link.

### Return Values

Returns the target of the symbolic `link`.

### Examples

Example #1 Reading a symbolic link

`<?php
$connection = ssh2_connect('shell.example.com', 22);
ssh2_auth_password($connection, 'username', 'password');
$sftp = ssh2_sftp($connection);
$target = ssh2_sftp_readlink($sftp, '/tmp/mysql.sock');
/* $target is now (e.g.): '/var/run/mysql.sock' */
?>`

### See Also

- readlink() - Returns the target of a symbolic link
- ssh2_sftp_symlink() - Create a symlink